// Learning Processing
// Daniel Shiffman
// http://www.learningprocessing.com
// Example 4-5: Using system variables

int my_color = 0;

void setup() {
  size(640, 360);
  stroke(255);
}

void draw() {
  background(50);
  rectMode(CENTER);

  if (my_color <= 255) { 
    my_color++;
    // The rectangle will always be in the middle of the window 
    // if it is located at (width/2, height/2).
    rect(width/2, height/2, mouseX+10, mouseY+10);
    fill(my_color/ 2);
  }
  if (my_color > 255) { 
    my_color = 0;
  }
}

void keyPressed() {
  println(key);
}
